Эмуляторы: установка, настройка и эксплуатация

v0rbis

Ословед
ставишь пакет cedega - запускаешь - оно просит cedega-engine - указываешь его местоположение - оно в себя его ставит - затем предлагает создать bottle тобишь установку проги или игр.

есть список поддерживаемых приложений. если его в списке нет то шанс что будет работать номрально - 50 на 50.

запускаешь соответсвенно из под цедежного гуя.

з.ы. возможно чото спутал с cxoffice ибо они все равно костыли wine +)
 
wine-0.9.46

Свежая версия эмулятора для запуска Win32 приложений
Вышел wine 0.9.46,теперь поддерживается Photoshop.
  • Был применен ряд решений для улучшения поддержки Photoshop CS2;
  • Более полная поддержка установки устройств в setupapi;
  • Новая реализация двунаправленного текста, исчезла зависимость от libicu;
  • Обычный ассортимент улучшений в Direct3D;
  • Стали поддерживатся порты завершения ввода / вывода. (I/O Completion Ports);
wine-0.9.46.tar.bz2 11.88 Мб [236-239]
 

Каин

Ословед
запостите, кто-нибудь мануал по компиляции и настройке wine. А то у мну инет не робит
 

    Little Jah

    очки: 6
    ава куль)) у меня причёска щас как у той девкИ!)))

K.T.k.

Ословед
Debian
  • audio
    • winealsa.drv: libasound2-dev
    • winearts.drv: libarts1-dev libartsc0-dev
    • wineaudioio.drv: libaudiofile-dev
    • wineesd.drv: libesd0-dev
    • winejack.drv: libjack0.80.0-dev
    • winenas.drv: libaudio-dev
  • capi
    • libcapi20-dev
  • cms:
    • liblcms1-dev
  • printing with CUPS
    • libcupsys2-dev
  • scanner
    • libsane-dev
  • the following, but only if you can install them from testing - do not install these from Sarge:
fontforge/testing
  • and all of the following packages:
freeglut3-dev libc6-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev libglib1.2-dev libglib2.0-dev libgnutls11-dev libgpg-error-dev libice-dev libieee1284-3-dev libjpeg62-dev libldap2-dev libltdl3-dev libmad0-dev libmng-dev libncurses5-dev libogg-dev libopencdk8-dev libpng12-dev libqt3-mt-dev libsm-dev libtasn1-2-dev libusb-dev libvorbis-dev libx11-dev libxcursor-dev libxext-dev libxft-dev libxi-dev libxml2-dev libxmu-dev libxrandr-dev libxrender-dev libxslt1-dev libxt-dev libxv-dev render-dev unixodbc-dev x-dev xlibmesa-gl-dev xlibmesa-glu-dev xlibs-static-dev zlib1g-dev

Ubuntu

Everything in Debian, except the following libs:
  • xlibs-static-dev xlibmesa-glu-dev xlibmesa-gl-dev libjack0.80.0-dev.
And instead, get these:
  • xlibs-dev libxxf86dga-dev libxxf86vm-dev libjack0.100.0-dev libicu34-dev libungif4-dev libssl-dev
Note that if you are running on a new install of Dapper Drake, you won't have any development tools so you'll need at a minimum: gcc flex bison make

Oddly, he found that neither libjack0.100.0-dev nor libjack-dev is available on Dapper with apt-get, so he left those out.
Edgy Eft 6.10 Note: Ubuntu's gcc now has stack-protector enabled, resulting in a segmentation fault in wine-preloader.
To fix it, add the following to configure:
./configure CFLAGS=-fno-stack-protector

Fedora

arts-devel alsa-lib-devel audiofile-devel esound-devel glib2-devel libogg-devel libvorbis-devel pkgconfig qt-devel fontconfig-devel freetype-devel libICE-devel libSM-devel libX11-devel libXau-devel libXcursor-devel libXdmcp-devel libXext-devel libXft-devel libXinerama-devel libXrandr-devel libXrender-devel libXt-devel libjpeg-devel libmng-devel libpng-devel mesa-libGL-devel xorg-x11-proto-devel libXi-devel sane-backends-devel libieee1284-devel libusb-devel libXmu-devel ncurses-devel gnutls-devel libgcrypt-devel libgpg-error-devel libXv-devel opencdk-devel expat-devel cups-devel e2fsprogs-devel krb5-devel openssl-devel giflib-devel openldap-devel lcms-devel cyrus-sasl-devel libxml-devel libxml2-devel libxslt-devel libxml libXxf86dga-devel libXxf86vm-devel libicu-devel isdn4k-utils-devel libao-devel wine-esd
Fedora Core 5 Note: I've seem some trouble with the SELinux enabled FC5 libGL.so* giving the following error during the ./configure script:
libGL.so.1: cannot enable executable stack as shared object...
To fix it, type:
chcon -t textrel_shlib_t /usr/lib/libGL.so.*
execstack -c /usr/lib/libGL.so.*
Programs :
  • flex bison fontforge prelink
Note that, unless you are tracking CVS and know what you are doing, you SHOULDN'T have valgrind.

RHEL / WBEL

XFree86-devel arts-devel audiofile-devel cups-devel cyrus-sasl-devel e2fsprogs-devel esound-devel expat-devel fontconfig-devel freetype-devel glib2-devel gphoto2-devel isdn4k-utils-devel krb5-devel libao-devel libjpeg-devel libmng-devel libogg-devel libpng-devel libusb-devel libvorbis-devel libxml-devel libxml2-devel libxslt-devel ncurses-devel openldap-devel openssl-devel qt-devel sane-backends-devel zlib-devel
Programs :
  • flex gcc bison fontforge prelink pkgconfig
 
я не знаю английский... Так что без русского мануала мне не обойтись...
Тогда не заморачивайся а ставь из репозитория.
Версия конечно не самая последняя, но зато все по-русски, в меню группу сам создаст, сделает ассоциацию с расширением файлов exe и т.д.
ИМХО погоня за последними билдами - это скорее для экстремалов - большая часть программ пойдет и на не очень свежей версии.
А без английского тяжко придется - при компиляции все сообщения на английском - так что минимум выучить все равно надо.
 

Каин

Ословед
из репо то я поставил, только вот зависает WoW, а более свежие версии Wine поддерживают WoW
 

Jura_22

Ословед
Народ подскажите можно ли поставить 1С 7.7 Торговля и склад под Linux. По возможности пишите в личку.
 
Люди!!! Кто может памочь......киньте мануал по устоновке wine под Suse.......очень нужно......буду фесьма признателен..=)))
 
Люди!!! Кто может памочь......киньте мануал по устоновке wine под Suse.......очень нужно......буду фесьма признателен..=)))

Мануал:
  1. запускаешь YAST
  2. ищешь и отмечаешь на установку пакет wine (другие по желанию)
  3. устанавливаешь
  4. ищешь в меню своего DE (~)winecfg или сам запускаешь winecfg
 
Люди у мну Wine при установки требует пакет bizon..........у кого он есть и асче чё ето??!!!......мб у мну чёт нетак???!!
 
народ!!нужна срочная помощь!!..короче собрал вайн 0.9.44....не отображаются русские шрифты..вместо шрифта квадратики...скопиролвал в вайн шрифты от винды..не помогло...что делать??????????????????
 
Люди у мну Wine при установки требует пакет bizon..........у кого он есть и асче чё ето??!!!......мб у мну чёт нетак???!!

обнови сорц лист...и загрзи из инета нужные пакеты...если у тя дебиан или бунту(помоему тока у них синаптик..да не важно)... то apt-get install bison в терминале))
 
This is release 0.9.49 of Wine, a free implementation of Windows on Unix.

What's new in this release:
- Many copy protection fixes.
- GLSL is now the default for Direct3D.
- Lots of memory errors fixed thanks to Valgrind.
- Support for TOPMOST windows.
- Beginnings of an inetcomm dll implementation.
- Lots of bug fixes.
wine-0.9.49.tar.bz2 12.18 Мб [236-239]


+Bonus
RPM пакет для Mandriva 2008
wine-0.9.49-mdv2008.0.i586.rpm 13.13 Мб [236-239]
 
Сверху